package org.spbu.bdd.core;

public interface IBddBackend {	
	
	public INode getNode(int index);
	
	
	public <E> ITerminal<E> insertTerminal(E value);
	
	public INode insertNonterminal(int var, INode one, INode zero);
}
